<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Shape (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Shape (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/Shape.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/usermodel/Row.MissingCellPolicy.html"
               title="enum in org.apache.poi.ss.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/ss/usermodel/ShapeContainer.html"
               title="interface in org.apache.poi.ss.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/usermodel/Shape.html" target="_top">Frames</a></li>
        <li><a href="Shape.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ss.usermodel</div>
    <h2 title="Interface Shape" class="title">Interface Shape</h2>
</div>
<div class="contentContainer">
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Known Subinterfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/ss/usermodel/ObjectData.html"
                           title="interface in org.apache.poi.ss.usermodel">ObjectData</a>, <a
                            href="../../../../../org/apache/poi/ss/usermodel/Picture.html"
                            title="interface in org.apache.poi.ss.usermodel">Picture</a>, <a
                            href="../../../../../org/apache/poi/ss/usermodel/SimpleShape.html"
                            title="interface in org.apache.poi.ss.usermodel">SimpleShape</a></dd>
                </dl>
                <dl>
                    <dt>All Known Implementing Classes:</dt>
                    <dd><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFCombobox.html"
                           title="class in org.apache.poi.hssf.usermodel">HSSFCombobox</a>, <a
                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFComment.html"
                            title="class in org.apache.poi.hssf.usermodel">HSSFComment</a>, <a
                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFObjectData.html"
                            title="class in org.apache.poi.hssf.usermodel">HSSFObjectData</a>, <a
                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFPicture.html"
                            title="class in org.apache.poi.hssf.usermodel">HSSFPicture</a>, <a
                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFPolygon.html"
                            title="class in org.apache.poi.hssf.usermodel">HSSFPolygon</a>, <a
                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                            title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>, <a
                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeGroup.html"
                            title="class in org.apache.poi.hssf.usermodel">HSSFShapeGroup</a>, <a
                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html"
                            title="class in org.apache.poi.hssf.usermodel">HSSFSimpleShape</a>, <a
                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html"
                            title="class in org.apache.poi.hssf.usermodel">HSSFTextbox</a>, <a
                            href="../../../../../org/apache/poi/xssf/streaming/SXSSFPicture.html"
                            title="class in org.apache.poi.xssf.streaming">SXSSFPicture</a>, <a
                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFConnector.html"
                            title="class in org.apache.poi.xssf.usermodel">XSSFConnector</a>, <a
                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFGraphicFrame.html"
                            title="class in org.apache.poi.xssf.usermodel">XSSFGraphicFrame</a>, <a
                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFObjectData.html"
                            title="class in org.apache.poi.xssf.usermodel">XSSFObjectData</a>, <a
                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFPicture.html"
                            title="class in org.apache.poi.xssf.usermodel">XSSFPicture</a>, <a
                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html"
                            title="class in org.apache.poi.xssf.usermodel">XSSFShape</a>, <a
                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFShapeGroup.html"
                            title="class in org.apache.poi.xssf.usermodel">XSSFShapeGroup</a>, <a
                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html"
                            title="class in org.apache.poi.xssf.usermodel">XSSFSimpleShape</a>, <a
                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextBox.html"
                            title="class in org.apache.poi.xssf.usermodel">XSSFTextBox</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public interface <span class="typeNameLabel">Shape</span></pre>
                <div class="block">Common interface for all drawing shapes</div>
                <dl>
                    <dt><span class="simpleTagLabel">Since:</span></dt>
                    <dd>POI 3.16-beta2</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ChildAnchor.html"
                                        title="interface in org.apache.poi.ss.usermodel">ChildAnchor</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Shape.html#getAnchor--">getAnchor</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Shape.html"
                                        title="interface in org.apache.poi.ss.usermodel">Shape</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Shape.html#getParent--">getParent</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Shape.html#getShapeName--">getShapeName</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Shape.html#isNoFill--">isNoFill</a></span>()</code>
                                    <div class="block">Whether this shape is not filled with a color</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Shape.html#setFillColor-int-int-int-">setFillColor</a></span>(int&nbsp;red,
                                    int&nbsp;green,
                                    int&nbsp;blue)</code>
                                    <div class="block">Sets the color used to fill this shape using the solid fill
                                        pattern.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Shape.html#setLineStyleColor-int-int-int-">setLineStyleColor</a></span>(int&nbsp;red,
                                    int&nbsp;green,
                                    int&nbsp;blue)</code>
                                    <div class="block">The color applied to the lines of this shape.</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Shape.html#setNoFill-boolean-">setNoFill</a></span>(boolean&nbsp;noFill)</code>
                                    <div class="block">Sets whether this shape is filled or transparent.</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getShapeName--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getShapeName</h4>
                                <pre>java.lang.String&nbsp;getShapeName()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the name of this shape</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getParent--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getParent</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/usermodel/Shape.html"
                                        title="interface in org.apache.poi.ss.usermodel">Shape</a>&nbsp;getParent()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the parent shape.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getAnchor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getAnchor</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/usermodel/ChildAnchor.html"
                                        title="interface in org.apache.poi.ss.usermodel">ChildAnchor</a>&nbsp;getAnchor()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the anchor that is used by this shape.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isNoFill--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isNoFill</h4>
                                <pre>boolean&nbsp;isNoFill()</pre>
                                <div class="block">Whether this shape is not filled with a color</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if this shape is not filled with a color.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setNoFill-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setNoFill</h4>
                                <pre>void&nbsp;setNoFill(boolean&nbsp;noFill)</pre>
                                <div class="block">Sets whether this shape is filled or transparent.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>noFill</code> - if true then no fill will be applied to the shape element.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFillColor-int-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFillColor</h4>
                                <pre>void&nbsp;setFillColor(int&nbsp;red,
                  int&nbsp;green,
                  int&nbsp;blue)</pre>
                                <div class="block">Sets the color used to fill this shape using the solid fill
                                    pattern.
                                </div>
                            </li>
                        </ul>
                        <a name="setLineStyleColor-int-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>setLineStyleColor</h4>
                                <pre>void&nbsp;setLineStyleColor(int&nbsp;red,
                       int&nbsp;green,
                       int&nbsp;blue)</pre>
                                <div class="block">The color applied to the lines of this shape.</div>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/Shape.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/usermodel/Row.MissingCellPolicy.html"
               title="enum in org.apache.poi.ss.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/ss/usermodel/ShapeContainer.html"
               title="interface in org.apache.poi.ss.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/usermodel/Shape.html" target="_top">Frames</a></li>
        <li><a href="Shape.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
